Window pick points from page setup

Discussion in 'AutoCAD' started by Chip Harper, Jun 18, 2004.

  1. Chip Harper

    Chip Harper Guest

    How can I extract the pick points supplied to page setup by the window
    option?
    I want to use the points in a custom plot routine. I need to reuse the
    previos pick points and I can't use the previous setup. An example would be
    sending one 40x32 full size plot to one plotter and sending a half plot to
    another. I have a working routine but we have to pick the window points each
    time.
     
    Chip Harper, Jun 18, 2004
    #1
  2. Chip Harper

    Jason Wilder Guest

    (getvar extmin)
    (getvar extmax)

    ??
     
    Jason Wilder, Jun 18, 2004
    #2
  3. Chip Harper

    Jason Wilder Guest

    Ignore me... it's late and i'm tired.... ugh

     
    Jason Wilder, Jun 18, 2004
    #3
  4. Chip Harper

    Chip Harper Guest

    Gotta fresh pot brewing here, need some? :)

    [_]P
     
    Chip Harper, Jun 18, 2004
    #4
  5. Chip Harper

    Jason Wilder Guest

    hehe, i should fire some up here, have a long night ahead

    I did find one reference, if you know how to access Objects via LISP.

    If you look under DXF reference, Objects, there is a PLOTSETTINGS object
    that should have the info you need, I just don't know how to get to it? I
    started looking at going through the Dictionary of the drawing, but don't
    think that's the way to do it. :/
     
    Jason Wilder, Jun 18, 2004
    #5
  6. Chip Harper

    John Uhden Guest

    Hint:
    (and
    (not (vla-GetWindowToPlot Layout 'P1 'P2))
    P1 (setq P1 (vlax-safearray->list P1))
    P2 (setq P2 (vlax-safearray->list P2))
    )

    where Layout can be either a Layout or a PlotConfiguration object (I think).
     
    John Uhden, Jun 18, 2004
    #6
  7. Chip Harper

    Chip Harper Guest

    Thanks John. :)
     
    Chip Harper, Jun 19, 2004
    #7
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.